# auto_grading_api

AutoGradingApi - JavaScript client for auto_grading_api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install auto_grading_api --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your auto_grading_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var AutoGradingApi = require('auto_grading_api');

var defaultClient = AutoGradingApi.ApiClient.instance;
// Configure OAuth2 access token for authorization: OAuth2PasswordBearer
var OAuth2PasswordBearer = defaultClient.authentications['OAuth2PasswordBearer'];
OAuth2PasswordBearer.accessToken = "YOUR ACCESS TOKEN"

var api = new AutoGradingApi.AssignmentsApi()
var uid = "uid_example"; // {String} 
var lid = "lid_example"; // {String} 
var assignmentModel = new AutoGradingApi.AssignmentModel(); // {AssignmentModel} 
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.createAssignment(uid, lid, assignmentModel, callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8000*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AutoGradingApi.AssignmentsApi* | [**createAssignment**](docs/AssignmentsApi.md#createAssignment) | **POST** /users/{uid}/lectures/{lid}/assignments | Create Assignment
*AutoGradingApi.AssignmentsApi* | [**deleteAssignment**](docs/AssignmentsApi.md#deleteAssignment) | **DELETE** /users/{uid}/lectures/{lid}/assignments/{aid} | Delete Assignment
*AutoGradingApi.AssignmentsApi* | [**getSingleAssignment**](docs/AssignmentsApi.md#getSingleAssignment) | **GET** /users/{uid}/lectures/{lid}/lessons/{aid} | Show Assignment
*AutoGradingApi.AssignmentsApi* | [**listAssignmentsOfLecture**](docs/AssignmentsApi.md#listAssignmentsOfLecture) | **GET** /users/{uid}/lectures/{lid}/assignments | List Assignments
*AutoGradingApi.AssignmentsApi* | [**updateAssignment**](docs/AssignmentsApi.md#updateAssignment) | **PUT** /users/{uid}/lectures/{lid}/assignments/{aid} | Update Assignment
*AutoGradingApi.DefaultApi* | [**loginForAccessTokenTokenPost**](docs/DefaultApi.md#loginForAccessTokenTokenPost) | **POST** /token | Login For Access Token
*AutoGradingApi.GradesApi* | [**createGrade**](docs/GradesApi.md#createGrade) | **POST** /users/{uid}/lectures/{lid}/students/{sid} | Create Grade
*AutoGradingApi.GradesApi* | [**deleteGrade**](docs/GradesApi.md#deleteGrade) | **DELETE** /users/{uid}/lectures/{lid}/students/{sid}/grades/{gid} | Delete Grade
*AutoGradingApi.GradesApi* | [**getSingleGrade**](docs/GradesApi.md#getSingleGrade) | **GET** /users/{uid}/lectures/{lid}/students/{sid}/grades/{aid} | Show Grade
*AutoGradingApi.GradesApi* | [**listGradesOfStudent**](docs/GradesApi.md#listGradesOfStudent) | **GET** /users/{uid}/lectures/{lid}/students/{sid}/grades | List Grades
*AutoGradingApi.GradesApi* | [**updateGrade**](docs/GradesApi.md#updateGrade) | **PUT** /users/{uid}/lectures/{lid}/students/{sid}/grades/{gid} | Update Grade
*AutoGradingApi.LecturesApi* | [**createLecture**](docs/LecturesApi.md#createLecture) | **POST** /users/{uid}/lectures | Create Lecture
*AutoGradingApi.LecturesApi* | [**deleteLecture**](docs/LecturesApi.md#deleteLecture) | **DELETE** /users/{uid}/lectures/{lid} | Delete Lecture
*AutoGradingApi.LecturesApi* | [**getSingleLecture**](docs/LecturesApi.md#getSingleLecture) | **GET** /users/{uid}/lectures/{lid} | Show Lecture
*AutoGradingApi.LecturesApi* | [**listLectures**](docs/LecturesApi.md#listLectures) | **GET** /users/{uid}/lectures | List Lectures
*AutoGradingApi.LecturesApi* | [**updateLecture**](docs/LecturesApi.md#updateLecture) | **PUT** /users/{uid}/lectures/{lid} | Update Lecture
*AutoGradingApi.StudentsApi* | [**createStudent**](docs/StudentsApi.md#createStudent) | **POST** /users/{uid}/lectures/{lid}/students | Create Student
*AutoGradingApi.StudentsApi* | [**deleteStudent**](docs/StudentsApi.md#deleteStudent) | **DELETE** /users/{uid}/lectures/{lid}/students/{sid} | Delete Student
*AutoGradingApi.StudentsApi* | [**getSingleStudent**](docs/StudentsApi.md#getSingleStudent) | **GET** /users/{uid}/lectures/{lid}/students/{sid} | Show Student
*AutoGradingApi.StudentsApi* | [**listStudentsOfLecture**](docs/StudentsApi.md#listStudentsOfLecture) | **GET** /users/{uid}/lectures/{lid}/students | List Students
*AutoGradingApi.StudentsApi* | [**updateStudent**](docs/StudentsApi.md#updateStudent) | **PUT** /users/{uid}/lectures/{lid}/students/{sid} | Update Student
*AutoGradingApi.UsersApi* | [**createUser**](docs/UsersApi.md#createUser) | **POST** /users | Create User
*AutoGradingApi.UsersApi* | [**deleteUser**](docs/UsersApi.md#deleteUser) | **DELETE** /users/{uid} | Delete User
*AutoGradingApi.UsersApi* | [**getCurrentUser**](docs/UsersApi.md#getCurrentUser) | **GET** /users | Get Current
*AutoGradingApi.UsersApi* | [**getSingleUser**](docs/UsersApi.md#getSingleUser) | **GET** /users/{uid} | Show User
*AutoGradingApi.UsersApi* | [**updatePassword**](docs/UsersApi.md#updatePassword) | **PUT** /users/{uid}/change-password | Update Password


## Documentation for Models

 - [AutoGradingApi.AssignmentModel](docs/AssignmentModel.md)
 - [AutoGradingApi.BodyLoginForAccessTokenTokenPost](docs/BodyLoginForAccessTokenTokenPost.md)
 - [AutoGradingApi.HTTPValidationError](docs/HTTPValidationError.md)
 - [AutoGradingApi.LectureModel](docs/LectureModel.md)
 - [AutoGradingApi.Message](docs/Message.md)
 - [AutoGradingApi.StudentGradeModel](docs/StudentGradeModel.md)
 - [AutoGradingApi.StudentModel](docs/StudentModel.md)
 - [AutoGradingApi.Token](docs/Token.md)
 - [AutoGradingApi.UpdatePasswordModel](docs/UpdatePasswordModel.md)
 - [AutoGradingApi.UserAPIModel](docs/UserAPIModel.md)
 - [AutoGradingApi.UserModel](docs/UserModel.md)
 - [AutoGradingApi.ValidationError](docs/ValidationError.md)


## Documentation for Authorization



### OAuth2PasswordBearer


- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: 
- **Scopes**: N/A

