"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The AssignmentModel model module.
 * @module model/AssignmentModel
 * @version 0.1.0
 */
var AssignmentModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>AssignmentModel</code>.
   * @alias module:model/AssignmentModel
   * @param name {String} 
   * @param text {String} 
   * @param inputs {Array.<String>} 
   * @param outputs {Array.<String>} 
   * @param scores {Array.<Number>} 
   */
  function AssignmentModel(name, text, inputs, outputs, scores) {
    _classCallCheck(this, AssignmentModel);

    AssignmentModel.initialize(this, name, text, inputs, outputs, scores);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(AssignmentModel, null, [{
    key: "initialize",
    value: function initialize(obj, name, text, inputs, outputs, scores) {
      obj['name'] = name;
      obj['text'] = text;
      obj['inputs'] = inputs;
      obj['outputs'] = outputs;
      obj['scores'] = scores;
    }
    /**
     * Constructs a <code>AssignmentModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AssignmentModel} obj Optional instance to populate.
     * @return {module:model/AssignmentModel} The populated <code>AssignmentModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new AssignmentModel();

        if (data.hasOwnProperty('_id')) {
          obj['_id'] = _ApiClient["default"].convertToType(data['_id'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('text')) {
          obj['text'] = _ApiClient["default"].convertToType(data['text'], 'String');
        }

        if (data.hasOwnProperty('inputs')) {
          obj['inputs'] = _ApiClient["default"].convertToType(data['inputs'], ['String']);
        }

        if (data.hasOwnProperty('outputs')) {
          obj['outputs'] = _ApiClient["default"].convertToType(data['outputs'], ['String']);
        }

        if (data.hasOwnProperty('scores')) {
          obj['scores'] = _ApiClient["default"].convertToType(data['scores'], ['Number']);
        }
      }

      return obj;
    }
  }]);

  return AssignmentModel;
}();
/**
 * @member {String} _id
 */


AssignmentModel.prototype['_id'] = undefined;
/**
 * @member {String} name
 */

AssignmentModel.prototype['name'] = undefined;
/**
 * @member {String} text
 */

AssignmentModel.prototype['text'] = undefined;
/**
 * @member {Array.<String>} inputs
 */

AssignmentModel.prototype['inputs'] = undefined;
/**
 * @member {Array.<String>} outputs
 */

AssignmentModel.prototype['outputs'] = undefined;
/**
 * @member {Array.<Number>} scores
 */

AssignmentModel.prototype['scores'] = undefined;
var _default = AssignmentModel;
exports["default"] = _default;