"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _AssignmentModel = _interopRequireDefault(require("./AssignmentModel"));

var _StudentModel = _interopRequireDefault(require("./StudentModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The LectureModel model module.
 * @module model/LectureModel
 * @version 0.1.0
 */
var LectureModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>LectureModel</code>.
   * @alias module:model/LectureModel
   * @param name {String} 
   */
  function LectureModel(name) {
    _classCallCheck(this, LectureModel);

    LectureModel.initialize(this, name);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(LectureModel, null, [{
    key: "initialize",
    value: function initialize(obj, name) {
      obj['name'] = name;
    }
    /**
     * Constructs a <code>LectureModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/LectureModel} obj Optional instance to populate.
     * @return {module:model/LectureModel} The populated <code>LectureModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new LectureModel();

        if (data.hasOwnProperty('_id')) {
          obj['_id'] = _ApiClient["default"].convertToType(data['_id'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('assignments')) {
          obj['assignments'] = _ApiClient["default"].convertToType(data['assignments'], [_AssignmentModel["default"]]);
        }

        if (data.hasOwnProperty('students')) {
          obj['students'] = _ApiClient["default"].convertToType(data['students'], [_StudentModel["default"]]);
        }
      }

      return obj;
    }
  }]);

  return LectureModel;
}();
/**
 * @member {String} _id
 */


LectureModel.prototype['_id'] = undefined;
/**
 * @member {String} name
 */

LectureModel.prototype['name'] = undefined;
/**
 * @member {Array.<module:model/AssignmentModel>} assignments
 */

LectureModel.prototype['assignments'] = undefined;
/**
 * @member {Array.<module:model/StudentModel>} students
 */

LectureModel.prototype['students'] = undefined;
var _default = LectureModel;
exports["default"] = _default;