"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The StudentGradeModel model module.
 * @module model/StudentGradeModel
 * @version 0.1.0
 */
var StudentGradeModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>StudentGradeModel</code>.
   * @alias module:model/StudentGradeModel
   * @param assignmentName {String} 
   * @param assignmentId {String} 
   * @param scores {Array.<Number>} 
   */
  function StudentGradeModel(assignmentName, assignmentId, scores) {
    _classCallCheck(this, StudentGradeModel);

    StudentGradeModel.initialize(this, assignmentName, assignmentId, scores);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(StudentGradeModel, null, [{
    key: "initialize",
    value: function initialize(obj, assignmentName, assignmentId, scores) {
      obj['assignment_name'] = assignmentName;
      obj['assignment_id'] = assignmentId;
      obj['scores'] = scores;
    }
    /**
     * Constructs a <code>StudentGradeModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StudentGradeModel} obj Optional instance to populate.
     * @return {module:model/StudentGradeModel} The populated <code>StudentGradeModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new StudentGradeModel();

        if (data.hasOwnProperty('_id')) {
          obj['_id'] = _ApiClient["default"].convertToType(data['_id'], 'String');
        }

        if (data.hasOwnProperty('assignment_name')) {
          obj['assignment_name'] = _ApiClient["default"].convertToType(data['assignment_name'], 'String');
        }

        if (data.hasOwnProperty('assignment_id')) {
          obj['assignment_id'] = _ApiClient["default"].convertToType(data['assignment_id'], 'String');
        }

        if (data.hasOwnProperty('scores')) {
          obj['scores'] = _ApiClient["default"].convertToType(data['scores'], ['Number']);
        }
      }

      return obj;
    }
  }]);

  return StudentGradeModel;
}();
/**
 * @member {String} _id
 */


StudentGradeModel.prototype['_id'] = undefined;
/**
 * @member {String} assignment_name
 */

StudentGradeModel.prototype['assignment_name'] = undefined;
/**
 * @member {String} assignment_id
 */

StudentGradeModel.prototype['assignment_id'] = undefined;
/**
 * @member {Array.<Number>} scores
 */

StudentGradeModel.prototype['scores'] = undefined;
var _default = StudentGradeModel;
exports["default"] = _default;