"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _StudentGradeModel = _interopRequireDefault(require("./StudentGradeModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The StudentModel model module.
 * @module model/StudentModel
 * @version 0.1.0
 */
var StudentModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>StudentModel</code>.
   * @alias module:model/StudentModel
   * @param name {String} 
   * @param _number {String} 
   */
  function StudentModel(name, _number) {
    _classCallCheck(this, StudentModel);

    StudentModel.initialize(this, name, _number);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(StudentModel, null, [{
    key: "initialize",
    value: function initialize(obj, name, _number) {
      obj['name'] = name;
      obj['number'] = _number;
    }
    /**
     * Constructs a <code>StudentModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StudentModel} obj Optional instance to populate.
     * @return {module:model/StudentModel} The populated <code>StudentModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new StudentModel();

        if (data.hasOwnProperty('_id')) {
          obj['_id'] = _ApiClient["default"].convertToType(data['_id'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('number')) {
          obj['number'] = _ApiClient["default"].convertToType(data['number'], 'String');
        }

        if (data.hasOwnProperty('grades')) {
          obj['grades'] = _ApiClient["default"].convertToType(data['grades'], [_StudentGradeModel["default"]]);
        }
      }

      return obj;
    }
  }]);

  return StudentModel;
}();
/**
 * @member {String} _id
 */


StudentModel.prototype['_id'] = undefined;
/**
 * @member {String} name
 */

StudentModel.prototype['name'] = undefined;
/**
 * @member {String} number
 */

StudentModel.prototype['number'] = undefined;
/**
 * @member {Array.<module:model/StudentGradeModel>} grades
 */

StudentModel.prototype['grades'] = undefined;
var _default = StudentModel;
exports["default"] = _default;